summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Andreas Guldstrand <andreas.guldstrand@gmail.com>2017-01-26 22:40:39 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-28 07:38:10 +0700
commit4e3da4dae2f3ebb20a0f73d215b558bb18c2848d (patch)
treedbfeec176855d1cb69eee4585a412edd9eb7e7bd /perl
parent44774be1f761425dd608868e6aeab27bd436f2fb (diff)
downloadslackbuilds-4e3da4dae2f3ebb20a0f73d215b558bb18c2848d.tar.gz
slackbuilds-4e3da4dae2f3ebb20a0f73d215b558bb18c2848d.tar.xz
perl/perl-Mojolicious: Added (next-gen web framework for Perl).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Mojolicious/README8
-rw-r--r--perl/perl-Mojolicious/perl-Mojolicious.SlackBuild100
-rw-r--r--perl/perl-Mojolicious/perl-Mojolicious.info10
-rw-r--r--perl/perl-Mojolicious/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/perl/perl-Mojolicious/README b/perl/perl-Mojolicious/README
new file mode 100644
index 0000000000..ae5e42e997
--- /dev/null
+++ b/perl/perl-Mojolicious/README
@@ -0,0 +1,8 @@
+Mojolicious is a next generation web framework for Perl.
+
+Back in the early days of the web, many people learned Perl because of a
+wonderful Perl library called CGI. It was simple enough to get started without
+knowing much about the language and powerful enough to keep you going, learning
+by doing was much fun. While most of the techniques used are outdated now, the
+idea behind it is not. Mojolicious is a new endeavor to implement this idea
+using bleeding edge technologies.
diff --git a/perl/perl-Mojolicious/perl-Mojolicious.SlackBuild b/perl/perl-Mojolicious/perl-Mojolicious.SlackBuild
new file mode 100644
index 0000000000..5bcd025e95
--- /dev/null
+++ b/perl/perl-Mojolicious/perl-Mojolicious.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for perl-Mojolicious
+
+# Copyright 2017 Andreas Guldstrand.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Mojolicious
+VERSION=${VERSION:-7.22}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes LICENSE README.md examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Mojolicious/perl-Mojolicious.info b/perl/perl-Mojolicious/perl-Mojolicious.info
new file mode 100644
index 0000000000..a1e2b82d33
--- /dev/null
+++ b/perl/perl-Mojolicious/perl-Mojolicious.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Mojolicious"
+VERSION="7.22"
+HOMEPAGE="http://mojolicious.org/"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/S/SR/SRI/Mojolicious-7.22.tar.gz"
+MD5SUM="ddd34442efac5f17c469fbc0c65b86a4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andreas Guldstrand"
+EMAIL="andreas.guldstrand@gmail.com"
diff --git a/perl/perl-Mojolicious/slack-desc b/perl/perl-Mojolicious/slack-desc
new file mode 100644
index 0000000000..ea454ee8d0
--- /dev/null
+++ b/perl/perl-Mojolicious/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Mojolicious: perl-Mojolicious (next-generation web framework for Perl)
+perl-Mojolicious:
+perl-Mojolicious: Back in the early days of the web, many people learned Perl because
+perl-Mojolicious: of a wonderful Perl library called CGI. It was simple enough to get
+perl-Mojolicious: started without knowing much about the language and powerful enough
+perl-Mojolicious: to keep you going, learning by doing was much fun. While most of the
+perl-Mojolicious: techniques used are outdated now, the idea behind it is not.
+perl-Mojolicious: Mojolicious is a new endeavor to implement this idea using bleeding
+perl-Mojolicious: edge technologies.
+perl-Mojolicious:
+perl-Mojolicious: Homepage: http://mojolicious.org/